<?php
header('Content-Type: application/json');

function checkStatus($sessionId) {
    $sessionsFile = __DIR__ . '/sessions.json';
    
    if (!file_exists($sessionsFile)) {
        return ['response' => 'loading'];
    }
    
    $sessions = json_decode(file_get_contents($sessionsFile), true) ?: [];
    
    if (!isset($sessions[$sessionId])) {
        return ['response' => 'loading'];
    }
    
    $session = $sessions[$sessionId];
    
    return [
        'response' => $session['status'] ?? 'loading',
        'redirect' => $session['redirect'] ?? null
    ];
}

function readStatusFile($sessionId) {
    // ... keep content
}

$sessionId = $_GET['sessionId'] ?? '';
if (!$sessionId) {
    echo json_encode(['response' => 'error', 'message' => 'Session ID not provided']);
    exit;
}

echo json_encode(checkStatus($sessionId));

